summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/sets/0054comments_set_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/sets/0054comments_set_0')
-rwxr-xr-xtests/shell/testcases/sets/0054comments_set_09
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/shell/testcases/sets/0054comments_set_0 b/tests/shell/testcases/sets/0054comments_set_0
new file mode 100755
index 00000000..9c8f7875
--- /dev/null
+++ b/tests/shell/testcases/sets/0054comments_set_0
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -e
+
+# Test that comments are added to sets
+
+$NFT add table t
+$NFT add set t s {type ipv4_addr \; flags interval \; comment "test" \;}
+$NFT add map t m {type ipv4_addr : ipv4_addr \; flags interval \; comment \"another test\" \;}